class Menu(object):
    def __init__(self, screen, options):
        self.screen = screen
        self.option = options

    def main(self):
        self.draw()
        pygame.display.flip()
        clock = pygame.time.Clock()
        while True:
            clock.tick(30)
            for event in pygame.event.get():
                if event.type == KEYDOWN and event.key == K_ESCAPE:
                    raise SystemExit
                elif event.type == MOUSEBUTTONDOWN:
                    selected = [sprite for sprite in self.options.sprites()\
                     if sprite.rect.collidepoint(*event.pos)]
                    if selected:
                        selected.run()
